<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="24" short-name="just-half" url="https://polygon.codeforces.com/p3YluaJ/tourist/just-half">
    <names>
        <name language="english" value="Just Half is Enough"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>92</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen_random -t=1 -minn=2 -maxn=2 -minm=1 -maxm=1" method="generated"/>
                <test cmd="gen_random -t=10 -minn=2 -maxn=100 -minm=1 -maxm=200" method="generated"/>
                <test cmd="gen_random -t=100 -minn=2 -maxn=1000 -minm=1 -maxm=2000" method="generated"/>
                <test cmd="gen_random -t=1000 -minn=2 -maxn=10000 -minm=1 -maxm=20000" method="generated"/>
                <test cmd="gen_random -t=10000 -minn=2 -maxn=20000 -minm=1 -maxm=20000" method="generated"/>
                <test cmd="gen_random -t=10000 -minn=2 -maxn=30000 -minm=1 -maxm=40000" method="generated"/>
                <test cmd="gen_random -t=10000 -minn=2 -maxn=60000 -minm=1 -maxm=120000" method="generated"/>
                <test cmd="gen_random -t=10000 -minn=2 -maxn=100000 -minm=1 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1000 -minn=2 -maxn=100000 -minm=1 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=100 -minn=2 -maxn=100000 -minm=1 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=10 -minn=2 -maxn=100000 -minm=1 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=2 -maxn=100000 -minm=1 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 a" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 b" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 c" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 d" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 e" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 f" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 g" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 h" method="generated"/>
                <test cmd="gen_random -t=1 -minn=100000 -maxn=100000 -minm=200000 -maxm=200000 i" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=0 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=0 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=0 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=1 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=1 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=200000 -dir=1 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=0 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=0 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=0 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=1 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=1 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199999 -dir=1 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=0 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=0 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=0 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=1 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=1 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=199998 -dir=1 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=1 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=1 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=99999 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=99999 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=99999 -dir=0 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=99999 -dir=1 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=0 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=1 -back=0 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=0 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=1 -back=1 -shuf=0" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=0 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=1 -back=0 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=0 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_special -n=100000 -m=100000 -dir=1 -back=1 -shuf=1" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=99999 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=199999 -a=99999 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=199998 -a=99999 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=99999 -b=0" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=0 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=99999 -b=10" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=10 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=99999 -b=1000" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=1000 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=99999 -b=10000" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=10000 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=99999 -a=0 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=99999 -a=99999 -b=0" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=123456 -a=23457 -b=99999" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=123456 -a=99999 -b=23457" method="generated"/>
                <test cmd="gen_degree -n=100000 -m=200000 -a=20000 -b=30000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=447 -maxn=447 -minm=199362 -maxm=199362" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=448 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=450 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=466 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=492 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=555 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=666 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=777 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=888 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=1000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=2000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=5000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=10000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=20000 -minm=200000 -maxm=200000" method="generated"/>
                <test cmd="gen_random -t=1 -minn=448 -maxn=50000 -minm=200000 -maxm=200000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_degree.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_degree.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>14</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="ok"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="presentation-error"/>
                    <test verdict="presentation-error"/>
                    <test verdict="crashed"/>
                    <test verdict="ok"/>
                    <test verdict="crashed"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
                <testset>
                    <test-count>15</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/290698822_zidder_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290698822_zidder_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290832790_smalyarovsky_shevlopmes_TimDee_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290832790_smalyarovsky_shevlopmes_TimDee_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290834431_ikrpprppp_SomethingNew_goncharovmike_wa3.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290834431_ikrpprppp_SomethingNew_goncharovmike_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290835017_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290835017_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290865305_izban_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290865305_izban_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290874093_enot110_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/290874093_enot110_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291128140_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291128140_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291232393_xiaowuc1_wa3.cpp" type="cpp.g++17"/>
                <binary path="solutions/291232393_xiaowuc1_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291232515_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/291232515_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/j_gk.py" type="python.3"/>
                <binary path="solutions/j_gk.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/j_gk_wa_1off.py" type="python.3"/>
                <binary path="solutions/j_gk_wa_1off.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/j_print_one_by_one.py" type="python.3"/>
                <binary path="solutions/j_print_one_by_one.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/sol.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/solbad.py" type="python.3"/>
                <binary path="solutions/solbad.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/solrand.py" type="python.3"/>
                <binary path="solutions/solrand.pys3" type="pythonx.3"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="graph"/>
    </tags>
</problem>
